from components.MOSFET import Si_MOS
Si_MOS_dict = {
    'BSZ440N10NS3':Si_MOS(
        ID='BSZ440N10NS3 G',
        Rdson=44e-3,
        Qg=6.8e-9,
        footprint='3x3',
        Vbr=100,
        Cosse=87e-12,
        Cosst=87e-12,
        Vgsth=2.7,
        Qgs2=0.7e-9,
        Qgd=1.3e-9,
        Qoss=9e-9,
        Vplateau=4.5,
        Rg=1.5,
        Qrr=61e-9
    ),
    'BSZ300N15NS5':Si_MOS(
        ID='BSZ300N15NS5',
        Rdson=28.1e-3,
        Qg=10.1e-9,
        footprint='3x3',
        Vbr=150,
        Cosst=180e-12,
        Cosse=180e-12,
        Vgsth=3.8,
        Qgs2=2.3e-9,
        Qgd=2.2e-9,
        Qoss=28e-9,
        Vplateau=5.9,
        Rg=0.8,
        Qrr=10.9e-9
    ),
    'BSZ146N10LS5':Si_MOS(
        ID='BSZ146N10LS5',
        Rdson=15.5e-3,
        Qg=6e-9,
        footprint='3x3',
        Vbr=100,
        Cosst=140e-12,
        Cosse=140e-12,
        Vgsth=1.6,
        Qgs2=1.3e-9,
        Qgd=2.2e-9,
        Qoss=16e-9,
        Vplateau=3.3,
        Rg=1,
        Qrr=25e-9
    ),
    'ISZ0803NLS':Si_MOS(
        ID='ISZ0803NLS',
        Rdson=12.4e-3,
        Qg=15e-9,
        footprint='3x3',
        Vbr=100,
        Cosst=170e-12,
        Cosse=170e-12,
        Vgsth=1.7,
        Qgs2=1.6e-9,
        Qgd=2.8e-9,
        Qoss=20e-9,
        Vplateau=3.2,
        Rg=1,
        Qrr=19e-9,
        Qgl=7.6e-9,
        Rdsonl=16e-3
    ),
    'ISZ0804NLS':Si_MOS(
        ID='ISZ0804NLS',
        Rdson=10.3e-3,
        Qg=18e-9,
        footprint='3x3',
        Vbr=100,
        Cosst=200e-12,
        Cosse=200e-12,
        Vgsth=1.6,
        Qgs2=1.7e-9,
        Qgd=3.3e-9,
        Qoss=24e-9,
        Vplateau=3.1,
        Rg=1.4,
        Qrr=26e-9,
        Qgl=9.2e-9,
        Rdsonl=13.2e-3
    ),
    'BSZ110N08NS5':Si_MOS(
        ID='BSZ110N08NS5',
        Vbr=80,
        Vgsth=3,
        Rdson=10.3e-3,
        Rdsonl=13.4e-3,
        Rg=1.4,
        Cosst=180e-12,
        Cosse=180e-12,
        Qgd=3.3e-9,
        Qgs2=2.1e-9,
        Qg=9.6e-9,
        Qgl=0,
        Vplateau=4.9,
        Qoss=19e-9,
        footprint='3x3',
        Qrr=36e-9
    ),
    'BSZ097N10NS5':Si_MOS(
        ID='BSZ097N10NS5',
        Vbr=100,
        Vgsth=3,
        Rdson=8.3e-3,
        Rdsonl=10.3e-3,
        Rg=1.2,
        Cosst=250e-12,
        Cosse=250e-12,
        Qgd=5e-9,
        Qgs2=2e-9,
        Qg=22e-9,
        Qgl=0,
        Vplateau=4.6,
        Qoss=30e-9,
        footprint='3x3',
        Qrr=60e-9
    ),
    'BSZ096N10LS5':Si_MOS(
        ID='BSZ096N10LS5',
        Vbr=100,
        Vgsth=1.7,
        Rdson=8.2e-3,
        Rdsonl=10.5e-3,
        Rg=1.2,
        Cosst=250e-12,
        Cosse=250e-12,
        Qgd=4.1e-9,
        Qgs2=2.2e-9,
        Qg=22e-9,
        Qgl=12e-9,
        Vplateau=3,
        Qoss=30e-9,
        footprint='3x3',
        Qrr=29e-9
    ),
    'BSZ084N08NS5':Si_MOS(
        ID='BSZ084N08NS5',
        Vbr=80,
        Vgsth=3,
        Rdson=7.1e-3,
        Rdsonl=9.9e-3,
        Rg=1.2,
        Cosst=240e-12,
        Cosse=240e-12,
        Qgd=4.4e-9,
        Qgs2=2.7e-9,
        Qg=20e-9,
        Qgl=0,
        Vplateau=4.7,
        Qoss=25e-9,
        footprint='3x3',
        Qrr=44e-9
    ),
    'ISZ0602NLS':Si_MOS(
        ID='ISZ0602NLS',
        Vbr=80,
        Vgsth=1.6,
        Rdson=7.3e-3,
        Rdsonl=9.4e-3,
        Rg=1.5,
        Cosst=220e-12,
        Cosse=220e-12,
        Qgd=3.9e-9,
        Qgs2=1.9e-9,
        Qg=22e-9,
        Qgl=11e-9,
        Vplateau=3,
        Qoss=23e-9,
        footprint='3x3',
        Qrr=23e-9
    ),
    'BSZ075N08NS5':Si_MOS(
        ID='BSZ075N08NS5',
        Vbr=80,
        Vgsth=3,
        Rdson=6.2e-3,
        Rdsonl=8.5e-3,
        Rg=1.3,
        Cosst=280e-12,
        Cosse=280e-12,
        Qgd=5.2e-9,
        Qgs2=2.9e-9,
        Qg=24e-9,
        Qgl=0e-9,
        Vplateau=4.6,
        Qoss=29e-9,
        footprint='3x3',
        Qrr=39e-9
    ),
    'BSZ070N08LS5': Si_MOS(
        ID='BSZ070N08LS5',
        Vbr=80,
        Vgsth=1.7,
        Rdson=5.9e-3,
        Rdsonl=7.4e-3,
        Rg=1.3,
        Cosst=280e-12,
        Cosse=280e-12,
        Qgd=5e-9,
        Qgs2=1.9e-9,
        Qg=25e-9,
        Qgl=14e-9,
        Vplateau=2.9,
        Qoss=29e-9,
        footprint='3x3',
        Qrr=27e-9
    ),
    'BSZ031NE2LS5':Si_MOS(
        ID='BSZ031NE2LS5',
        Vbr=25,
        Vgsth=1.5,
        Rdson=2.6e-3,
        Rdsonl=3.2e-3,
        Rg=0.75,
        Cosst=390e-12,
        Cosse=390e-12,
        Qgd=1.4e-9,
        Qgs2=0.9e-9,
        Qg=13.6e-9,
        Qgl=6.3e-9,
        Vplateau=2.5,
        Qoss=9.1e-9,
        footprint='3x3',
        Qrr=12e-9
    ),
    'BSZ0589NS':Si_MOS(
        ID='BSZ031NE2LS5',
        Vbr=25,
        Vgsth=1.5,
        Rdson=4.4e-3,
        Rdsonl=4.4e-3,
        Rg=1,
        Cosst=220e-12,
        Cosse=220e-12,
        Qgd=1.3e-9,
        Qgs2=0.7e-9,
        Qg=5e-9,
        Qgl=5e-9,
        Vplateau=2.4,
        Qoss=9.1e-9,
        footprint='3x3',
        Qrr=10e-9
    ),
    'BSZ025N04LS':Si_MOS(
        ID='BSZ025N04LS',
        Vbr=40,
        Vgsth=1.5,
        Rdson=2.0e-3,
        Rdsonl=2.4e-3,
        Rg=1.1,
        Cosst=750e-12,
        Cosse=750e-12,
        Qgd=6e-9,
        Qgs2=2.1e-9,
        Qg=37e-9,
        Qgl=19e-9,
        Vplateau=2.4,
        Qoss=33e-9,
        footprint='3x3',
        Qrr=20e-9
    ),
    'BSZ065N06LS5':Si_MOS(
        ID='BSZ065N06LS5',
        Vbr=60,
        Vgsth=1.7,
        Rdson=5.4e-3,
        Rdsonl=7.3e-3,
        Rg=1.2,
        Cosst=300e-12,
        Cosse=300e-12,
        Qgd=3.3e-9,
        Qgs2=1.8e-9,
        Qg=18e-9,
        Qgl=10e-9,
        Vplateau=2.9,
        Qoss=19e-9,
        footprint='3x3',
        Qrr=7e-9
    ),
    'IPZ40N04S5L':Si_MOS(
        ID='IPZ40N04S5L',
        Vbr=40,
        Vgsth=1.6,
        Rdson=6e-3,
        Rdsonl=8e-3,
        Rg=0,
        Cosst=160e-12,
        Cosse=160e-12,
        Qgd=3e-9,
        Qgs2=1e-9,
        Qg=13e-9,
        Qgl=10e-9,
        Vplateau=3,
        Qoss=19e-9,
        footprint='3x3',
        Qrr=16e-9
    ),
    'IPZ40N04S5':Si_MOS(
        ID='IPZ40N04S5',
        Vbr=40,
        Vgsth=2.8,
        Rdson=8.5e-3,
        Rdsonl=7e-3,
        Rg=0,
        Cosst=162e-12,
        Cosse=162e-12,
        Qgd=2.4e-9,
        Qgs2=1e-9,
        Qg=10.3e-9,
        Qgl=10e-9,
        Vplateau=4.9,
        Qoss=19e-9,
        footprint='3x3',
        Qrr=20e-9
    )

}
